import { HederaId } from '../../../src/domain/context/shared/HederaId';
import { createFixture } from '../config';
import { HederaIdPropsFixture } from '../shared/DataFixture';
export const IsProceedRecipientQueryFixture = createFixture((query) => {
    query.securityId.as(() => new HederaId(HederaIdPropsFixture.create().value));
    query.targetId.as(() => new HederaId(HederaIdPropsFixture.create().value));
});
export const GetProceedRecipientDataQueryFixture = createFixture((query) => {
    query.securityId.as(() => new HederaId(HederaIdPropsFixture.create().value));
    query.targetId.as(() => new HederaId(HederaIdPropsFixture.create().value));
});
export const GetProceedRecipientsCountQueryFixture = createFixture((query) => {
    query.securityId.as(() => new HederaId(HederaIdPropsFixture.create().value));
});
export const GetProceedRecipientsQueryFixture = createFixture((query) => {
    query.securityId.as(() => new HederaId(HederaIdPropsFixture.create().value));
    query.pageIndex.faker((f) => f.number.int({ min: 1, max: 20 }));
    query.pageSize.faker((f) => f.number.int({ min: 1, max: 100 }));
});
export const AddProceedRecipientCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.proceedRecipient.as(() => HederaIdPropsFixture.create().value);
    command.data?.as(() => '0x');
});
export const RemoveProceedRecipientCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.proceedRecipient.as(() => HederaIdPropsFixture.create().value);
});
export const UpdateProceedRecipientDataCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.proceedRecipient.as(() => HederaIdPropsFixture.create().value);
    command.data.as(() => '0x');
});
